'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller, middleware } = app;
  const jwtErr = middleware.jwtError(app.config.jwt);

  router.get('/', jwtErr, controller.home.index);
  router.post('/webtool/upload', jwtErr, controller.upload.index);
  router.post('/webtool/login', controller.login.index);
  router.get('/webtool/user', jwtErr, controller.user.getUserInfo);// 获取用户信息
  router.post('/webtool/userbind', jwtErr, controller.user.bind);// 绑定用户组织
  router.resources('user', '/webtool/v1/user', controller.user);
  router.resources('project', '/webtool/v1/project', jwtErr, controller.project);
  router.resources('org', '/webtool/v1/org', jwtErr, controller.org);
  router.resources('step', '/webtool/v1/step', jwtErr, controller.step);
  router.resources('item', '/webtool/v1/item', jwtErr, controller.item);
  router.resources('tag', '/webtool/v1/tag', controller.tag);
  router.post('/webtool/v1/mutisort', jwtErr, controller.item.mutisort);// 绑定用户组织
  router.post('/webtool/v1/mutitag', jwtErr, controller.tag.mutitag);// 绑定用户组织

};
